[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] reproducible Debian rebuilder 'thing': add skeleton job and script for prototyping'
Holger Levsen
gitlab at salsa.debian.org
Wed Apr 1 00:54:37 BST 2020
Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net
Commits:
d123c783 by Holger Levsen at 2020-04-01T01:54:23+02:00
reproducible Debian rebuilder 'thing': add skeleton job and script for prototyping'
Signed-off-by: Holger Levsen <holger at layer-acht.org>
- - - - -
3 changed files:
- bin/jenkins_node_wrapper.sh
- + bin/reproducible_debian_rebuilder_prototype.sh
- job-cfg/reproducible.yaml
Changes:
=====================================
bin/jenkins_node_wrapper.sh
=====================================
@@ -79,6 +79,8 @@ elif [[ "$1" =~ ^chroot-installation_.* ]]; then
shift ; exec /srv/jenkins/bin/chroot-installation.sh $@ ; croak "Exec failed"
elif [ "$*" = "reproducible_nodes_info" ] ; then
exec /srv/jenkins/bin/reproducible_info.sh ; croak "Exec failed";
+elif [ "$1" = "reproducible_debian_rebuilder_prototype" ] ; then
+ exec /srv/jenkins/bin/reproducible_debian_rebuilder_prototype.sh ; croak "Exec failed";
elif [ "$1" = "reproducible_pool_buildinfos" ] ; then
exec /srv/jenkins/bin/reproducible_pool_buildinfos.sh ; croak "Exec failed";
elif [ "$1" = "reproducible_html_builtin-pho" ] ; then
=====================================
bin/reproducible_debian_rebuilder_prototype.sh
=====================================
@@ -0,0 +1,30 @@
+#!/bin/bash
+# vim: set noexpandtab:
+
+# Copyright 2020 Holger Levsen <holger at layer-acht.org>
+# released under the GPLv2
+
+DEBUG=false
+. /srv/jenkins/bin/common-functions.sh
+common_init "$@"
+
+# common code for tests.reproducible-builds.org
+. /srv/jenkins/bin/reproducible_common.sh
+
+set -e
+
+# main
+
+# basically describe the steps to use debrebuild today...
+
+FILE='bash_5.0-6_amd64.buildinfo'
+URLPATH='https://buildinfos.debian.net/buildinfo-pool/b/bash'
+
+# use gpg here to workaround #955050 in devscripts: debrebuild: please accepted signed .buildinfo files
+curl $URLPATH/$FILE | gpg > $FILE
+
+# to be continued...
+
+
+# the end
+rm $FILE
=====================================
job-cfg/reproducible.yaml
=====================================
@@ -822,6 +822,10 @@
my_description: 'Link files for buildinfos.debian.net from date to pool structure'
my_hname: 'profitbricks7'
my_timed: '10 */2 * * *'
+ - 'debian_rebuilder_prototype':
+ my_description: 'Prototype rebuilder for Debian'
+ my_hname: 'profitbricks7'
+ my_timed: '42 23 1 1 *'
my_shell: '/srv/jenkins/bin/jenkins_master_wrapper.sh'
my_hname: ''
my_timeout: '1440'
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/d123c78308889b328d6f56defb297352ba61cd5b
--
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/-/commit/d123c78308889b328d6f56defb297352ba61cd5b
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20200331/6aa3477b/attachment-0001.html>
More information about the Qa-jenkins-scm
mailing list